> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payment Medium

> Create a custom settlement type.



## OpenAPI

````yaml post /admin/payment-mediums/create
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/payment-mediums/create:
    post:
      tags:
        - provider
        - admin
        - payment-mediums
      summary: Create Payment Medium
      description: Create a custom settlement type.
      operationId: create_payment_medium_admin_payment_mediums_create_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentMediumCreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentMediumDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaymentMediumCreate:
      properties:
        name:
          type: string
          maxLength: 100
          minLength: 1
          title: Name
          description: The name of the custom settlement type.
      type: object
      required:
        - name
      title: PaymentMediumCreate
      description: Schema for creating a custom settlement type.
    PaymentMediumDetail:
      properties:
        name:
          type: string
          title: Name
          description: The name/identifier of the payment medium (primary key).
        isSystem:
          type: boolean
          title: Issystem
          description: Whether this is a system-defined payment medium (immutable).
        isArchived:
          type: boolean
          title: Isarchived
          description: Whether this payment medium is archived.
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: The date and time the payment medium was created.
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: The date and time the payment medium was last updated.
      type: object
      required:
        - name
        - isSystem
        - isArchived
        - createdDate
      title: PaymentMediumDetail
      description: Schema for reading payment medium records.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````